// HTML_Font.h: interface for the HTML_Font class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HTML_FONT_H__A4ECDCA8_75AF_11D4_A35F_E0FD2D860908__INCLUDED_)
#define AFX_HTML_FONT_H__A4ECDCA8_75AF_11D4_A35F_E0FD2D860908__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "HTML_Element.h"

class HTML_Font : public HTML_Element  
{
public:
	HTML_Font* setColor(char* x);
	HTML_Font* setFace(char* x);
	HTML_Font* setSize(char* x);
	HTML_Font* setPointsize(char* x);
	const char* getColor();
	const char* getFace();
	const char* getSize();
	const char* getPointsize();
	string& printString();
	HTML_Element* printOptions();
	HTML_Font();
	virtual ~HTML_Font();
protected:
private:
	string color;
	string face;
	string size;
	string pointsize;
};

#endif // !defined(AFX_HTML_FONT_H__A4ECDCA8_75AF_11D4_A35F_E0FD2D860908__INCLUDED_)
