// HTML_Form.h: interface for the HTML_Form class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HTML_FORM_H__9704C927_7525_11D4_A35F_D87480A31908__INCLUDED_)
#define AFX_HTML_FORM_H__9704C927_7525_11D4_A35F_D87480A31908__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "HTML_FormData.h"

class HTML_Form : public HTML_FormData
{
public:
	HTML_Form* setName(char* x);
	string& printString();
	HTML_Element* printOptions();
	HTML_Form* setAction(char* x);
	HTML_Form* setMethod(char* x);
	const char* getAction();
	const char* getMethod();
	HTML_Form();
	virtual ~HTML_Form();
protected:
private:
	string action;
	string method;
};

#endif // !defined(AFX_HTML_FORM_H__9704C927_7525_11D4_A35F_D87480A31908__INCLUDED_)
