// HTML_Input.h: interface for the HTML_Input class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HTML_INPUT_H__A4ECDCAC_75AF_11D4_A35F_E0FD2D860908__INCLUDED_)
#define AFX_HTML_INPUT_H__A4ECDCAC_75AF_11D4_A35F_E0FD2D860908__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "HTML_FormData.h"

class HTML_Input : public HTML_FormData  
{
public:
	bool getSelectOnFocus();
	HTML_Input* setSelectOnFocus(bool x);
	HTML_Input* setValue(const char* x);
	HTML_Input* setName(const char* x);
	HTML_Input* setNameAndValue(const char* n, const char* v);
	HTML_Input* setNameAndValue(char* n, char* v);
	HTML_Input* setName(char* x);
	string& printString();
	HTML_Element* printOptions();
	HTML_Input* setChecked(bool x);
	HTML_Input* setSize(char* x);
	HTML_Input* setType(char* x);
	HTML_Input* setValue(char* x);
	HTML_Input* setTabindex(char* x);
	bool getChecked();
	const char* getSize();
	const char* getType();
	const char* getValue();
	const char* getTabindex();
	HTML_Input();
	virtual ~HTML_Input();
protected:
private:
	bool selectOnFocus;
	bool checked;
	string size;
	string type;
	string value;
	string tabindex;
};

#endif // !defined(AFX_HTML_INPUT_H__A4ECDCAC_75AF_11D4_A35F_E0FD2D860908__INCLUDED_)
