// HTML_Option.h: interface for the HTML_Option class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HTML_OPTION_H__A4ECDCAB_75AF_11D4_A35F_E0FD2D860908__INCLUDED_)
#define AFX_HTML_OPTION_H__A4ECDCAB_75AF_11D4_A35F_E0FD2D860908__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "HTML_FormData.h"

class HTML_Option : public HTML_FormData  
{
public:
	string& printString();
	HTML_Element* printOptions();
	HTML_Option* select();
	HTML_Option* setSelected(bool x);
	bool getSelected();
	HTML_Option* setValue(char* x);
	const char* getValue();
	HTML_Option(char* value, char* str);
	virtual ~HTML_Option();
protected:
private:
	string value;
	bool selected;
};

#endif // !defined(AFX_HTML_OPTION_H__A4ECDCAB_75AF_11D4_A35F_E0FD2D860908__INCLUDED_)
