// HTML_Page.cpp: implementation of the HTML_Page class.
//
//////////////////////////////////////////////////////////////////////

#include "HTML_all.h"
#include "HTML_Page.h"
								 
//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

HTML_Page::HTML_Page()
{
	//create HTML document
	setDoc(new HTML_Document());
}

HTML_Page::~HTML_Page()
{
	//delete HTML document
	delete(doc);
}

HTML_Document* 
HTML_Page::getDoc()
{
	return(doc);
}

HTML_Page* 
HTML_Page::setDoc(HTML_Document* x)
{
	doc = x;
	return(this);
}

string& 
HTML_Page::printString()
{
	return(getDoc()->printString());
}

HTML_Page*
HTML_Page::readQuery(llist& entries)
{
	//do nothing - subclass responsibility
	return(this);
}
