// HTML_Table.h: interface for the HTML_Table class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HTML_TABLE_H__9704C926_7525_11D4_A35F_D87480A31908__INCLUDED_)
#define AFX_HTML_TABLE_H__9704C926_7525_11D4_A35F_D87480A31908__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "HTML_Element.h"
class HTML_Row;

class HTML_Table : public HTML_Element
{
public:
	HTML_Element* printOptions();
	HTML_Row* newRow();
	HTML_Table* setCellpadding(char* x);
	HTML_Table* setCellspacing(char* x);
	HTML_Table* setBgcolor(char* x);
	HTML_Table* setBorder(char* x);
	HTML_Table* setWidth(char* x);
	const char* getCellpadding();
	const char* getCellspacing();
	const char* getBgcolor();
	const char* getBorder();
	const char* getWidth();
	string& printString();
	HTML_Table();
	virtual ~HTML_Table();
protected:
private:
	string cellpadding;
	string cellspacing;
	string bgcolor;
	string border;
	string width;
};

#include "HTML_Row.h"

#endif // !defined(AFX_HTML_TABLE_H__9704C926_7525_11D4_A35F_D87480A31908__INCLUDED_)
