// HTML_Cell.h: interface for the HTML_Cell class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HTML_CELL_H__A4ECDCA7_75AF_11D4_A35F_E0FD2D860908__INCLUDED_)
#define AFX_HTML_CELL_H__A4ECDCA7_75AF_11D4_A35F_E0FD2D860908__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "HTML_Row.h"

class HTML_Cell : public HTML_Row  
{
public:
	HTML_Element* printOptions();
	string& printString();
	HTML_Row* setWidth(char* x);
	HTML_Row* setHeight(char* x);
	HTML_Row* setColspan(char* x);
	HTML_Row* setRowspan(char* x);
	const char* getWidth();
	const char* getHeight();
	const char* getColspan();
	const char* getRowspan();
	HTML_Cell();
	virtual ~HTML_Cell();
protected:
private:
	string width;
	string height;
	string colspan;
	string rowspan;
};

#endif // !defined(AFX_HTML_CELL_H__A4ECDCA7_75AF_11D4_A35F_E0FD2D860908__INCLUDED_)
