// HTML_Document.h: interface for the HTML_Document class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HTML_DOCUMENT_H__9704C925_7525_11D4_A35F_D87480A31908__INCLUDED_)
#define AFX_HTML_DOCUMENT_H__9704C925_7525_11D4_A35F_D87480A31908__INCLUDED_

#include "HTML_Element.h"

class HTML_Document : public HTML_Element  
{
public:
	HTML_Element* insert(HTML_Element* obj);
	HTML_Document* setTitle(char* str);
	HTML_Tag* getHead();
	HTML_Document();
	virtual ~HTML_Document();
protected:
private:
	HTML_Tag* head; //pointer to <HEAD>
	HTML_Tag* title; //pointer to <TITLE>
	HTML_Tag* body; //pointer to <BODY>
};

#endif // !defined(AFX_HTML_DOCUMENT_H__9704C925_7525_11D4_A35F_D87480A31908__INCLUDED_)
