// HTML_Font.cpp: implementation of the HTML_Font class.
//
//////////////////////////////////////////////////////////////////////

#include "HTML_all.h"
#include "HTML_Font.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

HTML_Font::HTML_Font()
{

}

HTML_Font::~HTML_Font()
{

}

HTML_Font* 
HTML_Font::setColor(char* x)
{
	color = x;
	return(this);
}

HTML_Font* 
HTML_Font::setFace(char* x)
{
	face = x;
	return(this);
}

HTML_Font* 
HTML_Font::setSize(char* x)
{
	size = x;
	return(this);
}

HTML_Font* 
HTML_Font::setPointsize(char* x)
{
	pointsize = x;
	return(this);
}

const char*
HTML_Font::getColor()
{
	return(color.c_str());
}

const char*
HTML_Font::getFace()
{
	return(face.c_str());
}

const char*
HTML_Font::getSize()
{
	return(size.c_str());
}

const char*
HTML_Font::getPointsize()
{
	return(pointsize.c_str());
}


	
string& 
HTML_Font::printString()
{
	//print opening tag with options and new line
	buffer = "<FONT";
	printOptions();
	buffer.append(">\n");
	//print nested objects
	printStringNested();
	//print closing tag and new line
	buffer.append("</FONT>\n");
	return(buffer);

}

HTML_Element* 
HTML_Font::printOptions()
{
	if(color.size() != 0) buffer.append(" color=\"" + color + "\"");
	if(face.size() != 0) buffer.append(" face=\"" + face + "\"");
	if(pointsize.size() != 0) buffer.append(" point-size=\"" + pointsize + "\"");
	if(size.size() != 0) buffer.append(" size=\"" + size + "\"");
	return(this);
}
