// HTML_Form.cpp: implementation of the HTML_Form class.
//
//////////////////////////////////////////////////////////////////////


#include "HTML_all.h"
#include "HTML_Form.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

HTML_Form::HTML_Form()
{

}

HTML_Form::~HTML_Form()
{

}

HTML_Form* 
HTML_Form::setAction(char* x)
{
	action = x;
	return(this);
}

HTML_Form* 
HTML_Form::setMethod(char* x)
{
	method = x;
	return(this);
}

const char*
HTML_Form::getAction()
{
	return(action.c_str());
}

const char*
HTML_Form::getMethod()
{
	return(method.c_str());
}

string& 
HTML_Form::printString()
{
	//print opening tag with options and new line
	buffer = "<FORM";
	printOptions();
	buffer.append(">\n");
	//print nested objects
	printStringNested();
	//print closing tag and new line
	buffer.append("</FORM>\n");
	return(buffer);

}

HTML_Element* 
HTML_Form::printOptions()
{
	if(action.size() != 0) buffer.append(" action=\"" + action + "\"");
	if(method.size() != 0) buffer.append(" method=\"" + method + "\"");
	if(name.size() != 0) buffer.append(" name=\"" + name + "\"");
	return(this);
}

HTML_Form* 
HTML_Form::setName(char * x)
{
	name = x;
	return(this);
}
