// HTML_Object.cpp: implementation of the HTML_Object class.
//
//////////////////////////////////////////////////////////////////////

#include "HTML_all.h"
#include "HTML_Object.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

HTML_Object::HTML_Object()
{

}

HTML_Object::~HTML_Object()
{
}


HTML_Object*
HTML_Object::convertToHTML(string& str)
{
	//convert special characters
	// <	&lt;
	// >	&gt;
	// &	&amp;
	// "	&quot;
	//	&nbsp	&nbsp; - this one should be entered manually

	int i;

	for(i = 0; i < str.size(); i++)
	{
		switch(str[i])
		{
		case '<':
			str.replace(i, 1, "&lt;");
			break;
		case '>':
			str.replace(i, 1, "&gt;");
			break;
		case '&':
			if(str.compare(i, 5, "&nbsp") != 0)
			{
				//if not &nbsp
				str.replace(i, 1, "&amp;");
			}
			break;
		case '\"':
			str.replace(i, 1, "&quot;");
			break;
		default:
			break;
		}
	}
	return(this);
}

HTML_Object* 
HTML_Object::print()
{
	printf("%s", printString().c_str());
	return(this);
}

string&
HTML_Object::printString()
{
	buf = "Subclass responsibility\n";
	return(buf);
}

