// HTML_Select.cpp: implementation of the HTML_Select class.
//
//////////////////////////////////////////////////////////////////////

#include "HTML_all.h"
#include "HTML_Select.h"
#include "HTML_Option.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

HTML_Select::HTML_Select()
{

}

HTML_Select::~HTML_Select()
{

}

string& 
HTML_Select::printString()
{
	//print opening tag with options and new line
	buffer = "<SELECT";
	printOptions();
	buffer.append(">\n");
	//print nested objects
	printStringNested();
	//print closing tag and new line
	buffer.append("</SELECT>\n");
	return(buffer);

}

HTML_Element* 
HTML_Select::printOptions()
{
	if(name.size() != 0) buffer.append(" name=\"" + name + "\"");
	return(this);
}

HTML_Option*
HTML_Select::newOption(char * val, char * str)
{
	HTML_Option* t;
	t = new HTML_Option(val, str);
	insert(t);
	return(t);
}

HTML_Select* HTML_Select::setName(char * x)
{
	name = x;
	return(this);
}
