// HTML_Tag.cpp: implementation of the HTML_Tag class.
//
//////////////////////////////////////////////////////////////////////

#include "HTML_all.h"
#include "HTML_Tag.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

HTML_Tag::HTML_Tag(char* str)
{
	setText(str);
	matched = true; //matched by default
}

HTML_Tag::~HTML_Tag()
{

}

HTML_Element* HTML_Tag::setText(char * str)
{
	text = str; 
	return(this);
}

string&
HTML_Tag::printString()
{
	//print opening tag and new line
	buffer = "<";
	buffer.append(getText());
	buffer.append(">\n");
	//print nested objects
	printStringNested();
	if(getMatched())
	{
		//print closing tag and new line
		buffer.append("</");
		buffer.append(getText());
		buffer.append(">\n");
	}
	return(buffer);
}

bool 
HTML_Tag::getMatched()
{
	return(matched);
}

HTML_Element* 
HTML_Tag::setMatched(bool x)
{
	matched = x;
	return(this);
}

