// HTML_TextArea.h: interface for the HTML_TextArea class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HTML_TEXTAREA_H__FC09BB43_7850_11D4_A35F_BABC5E793B08__INCLUDED_)
#define AFX_HTML_TEXTAREA_H__FC09BB43_7850_11D4_A35F_BABC5E793B08__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "HTML_Input.h"

class HTML_TextArea : public HTML_Input
{
public:
	const char* getRows();
	const char* getCols();
	const char* getWrap();
	HTML_TextArea* setRows(char* x);
	HTML_TextArea* setCols(char* x);
	HTML_TextArea* setWrap(char* x);
	string& printString();
	HTML_Element* printOptions();
	HTML_TextArea();
	virtual ~HTML_TextArea();
protected:
private:
	string rows;
	string cols;
	string wrap;
	string tabindex;
};

#endif // !defined(AFX_HTML_TEXTAREA_H__FC09BB43_7850_11D4_A35F_BABC5E793B08__INCLUDED_)
